]> arthur.barton.de Git - bup.git/blobdiff - cmd/split-cmd.py
Add initial test-list-idx.sh
[bup.git] / cmd / split-cmd.py
index 70daf7c688258b7da31c34a2bac83015c3316fac..2ad5721853eff6530102b45dca8e13fc258064c5 100755 (executable)
@@ -1,4 +1,9 @@
-#!/usr/bin/env python
+#!/bin/sh
+"""": # -*-python-*-
+bup_python="$(dirname "$0")/bup-python" || exit $?
+exec "$bup_python" "$0" ${1+"$@"}
+"""
+# end of bup preamble
 import os, sys, time
 from bup import hashsplit, git, options, client
 from bup.helpers import *
@@ -120,7 +125,7 @@ if opt.git_ids:
             try:
                 it = cp.get(line.strip())
                 next(it, None)  # skip the file type
-            except KeyError, e:
+            except KeyError as e:
                 add_error('error: %s' % e)
                 continue
             yield IterToFile(it)